
Redmine - Feature #1038

Add repo url to repository view

2008-04-10 20:11 - Carl Nygard

Status: Closed Start date: 2008-04-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It's useful to know exactly which part of the repo a project is attached to.  This patch adds the repo url from the configuration to the

top "crumbs"

Related issues:

Is duplicate of Redmine - Patch #232: SCM URL/ROOT Information on Repository ... New

History

#1 - 2008-05-31 02:40 - Karl DeBisschop

Nice idea.

In our case, however, redmine accesses the SVN as file whereas we want the users to see the https:// form of the repo.

I'm rather out of my element in ruby. What would it take to allow the published URL to be different than the internal access URL?

#2 - 2008-11-06 13:01 - Anonymous

Karl DeBisschop wrote:

Nice idea.

In our case, however, redmine accesses the SVN as file whereas we want the users to see the https:// form of the repo.

I'm rather out of my element in ruby. What would it take to allow the published URL to be different than the internal access URL?

 +1

We should have an internal repository url used by redmine bringing browsing capabilities and an external repository url displayed on the home page.

A workaround is to create a custom field on project (e.g. SCM URL).

#3 - 2008-11-11 10:40 - Jean-Philippe Lang

- Target version deleted (0.8)

#4 - 2010-07-05 15:28 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate

This is a duplicate of #232.

The functionality is provided by my Redmine Checkout plugin

Files

redmine-repourl.patch 562 Bytes 2008-04-10 Carl Nygard
